비공개 업로드 준비
파일 공간을 예약하고 가져오기 또는 교체 대상 단위에 연결하세요.
POST
/api/v1/inventory/products/{product_id}/digital-uploadscURL 요청
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request POST \
--url https://shop.onshopently.com/api/v1/inventory/products/example/digital-uploads \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: 7ff87132-4c36-5199-a071-a75ddf81f9f4' \
--header 'Content-Type: application/json' \
--data-raw '{"consumer_id":"00000000-0000-4000-8000-000000000001","consumer_kind":"digital_import","filename":"codes.txt","purpose":"digital_import","sha256":"636e307039d9ca307836e9a93ea492425545bcccb6cb4ef935ab635560db828a","size_bytes":18}'
응답
{
"data": {
"deleted": false,
"id": "00000000-0000-4000-8000-000000000002",
"version": null
},
"meta": {
"request_id": "example-request"
}
}